Subject: bug#26855: 25.2; Menus off screen, gtk errors

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2017 16:54:07 +0300

> Date: Tue, 09 May 2017 18:14:13 +0200
> From: martin rudalics <[email-masked]>
> 
>  > Menus (e.g. from the menubar) are appearing off screen. Using Fedora 25 in VirtualBox
>  > 5.1.22. with guest additions. There are a lot of gtk errors when opening
>  > a menu. GTK error messages included below. This started with either
>  > emacs 25 or Fedora 25 upgrade.
>  >
>  > In GNU Emacs 25.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.11)
>  >   of 2017-04-25 built on buildhw-05.phx2.fedoraproject.org
>  > Windowing system distributor 'The Cygwin/X Project', version 11.0.11902000
>  > Configured using:
>  >   'configure --build=x86_64-redhat-linux-gnu
>  >   --host=x86_64-redhat-linux-gnu --program-prefix=
>  >   --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
>  >   --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
>  >   --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
>  >   --libexecdir=/usr/libexec --localstatedir=/var
>  >   --sharedstatedir=/var/lib --mandir=/usr/share/man
>  >   --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
>  >   --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
>  >   --with-gpm=no --with-xwidgets build_alias=x86_64-redhat-linux-gnu
>  >   host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
>  >   -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
>  >   -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
>  >   -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
>  >   -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro
>  >   PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'
> 
> Looks bad.  Hopefully this is covered by the fix for bug#25851, see
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25851
> 
> In Message#218 of that thread you can find a patch
> (x_gtk_use_window_move.diff) I proposed for Emacs 25.  If you can build
> Emacs yourself, please try it.

Martin,

Any reason not to push that patch?  I don't see anyone answering your
requests in any of the related bugs, so unless you have reasons to
think this could cause trouble, let's resolve those bugs, and let
users report any fallout.  These bugs are currently blocking the
release of Emacs 26.1.

Thanks.